commit:     321a28793ed8d11abeaf91838dae7982f6014839
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  3 22:04:26 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun  3 22:31:51 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=321a2879

dev-python/google-api-core: Bump to 1.29.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-api-core/Manifest                |  1 +
 .../google-api-core/google-api-core-1.29.0.ebuild  | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/google-api-core/Manifest 
b/dev-python/google-api-core/Manifest
index 45d66e57ec3..575a8800357 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1,3 +1,4 @@
 DIST google-api-core-1.26.3.tar.gz 133409 BLAKE2B 
ca3c63769f87cc79483d5ac52646cb044fa21e4f702a945994aeffad71b5be6bd1105e7aa3ec489c943d8adb1148f1c5eb868d64d71f0bcc4a6084ff470acf05
 SHA512 
8a7753ee30f6f3bb78265b083d8fb80a48021ab32c849ddadaf969263e5a63bfaeb3010b584440d5c5f1c4e0dcd4e8fcd4df16321ccb03d3c0932e19502bbe4c
 DIST google-api-core-1.27.0.tar.gz 134035 BLAKE2B 
be074208ac51b6e33466a2304e5780894d6a420ccf7ea36e5b98b6d9f920cd6f0cc9f94dababb154731ebe4a36d8b863897f5c654e00068a0f12753ceecb6e8c
 SHA512 
5e8ca58c7f1dc9aa3e612ea635feb84a115c0f21bde2a3152cd54be5b041841ab1c0d2c725660794e15d42e63a4b6955a5318d3dec20bbbb3e7d683c630a5f5e
 DIST google-api-core-1.28.0.tar.gz 133640 BLAKE2B 
8134e39cc3ff2fbb850d5e774d08589e3e64b83ca5d5209279f5d1b7fc2eb350a523bbe2890fba6d907689149df3872a7e0a11991b1ecc62fc64a4753dce38e4
 SHA512 
3702d27613e621394209047451729c1308beb88c917033b4340e3fa96bf4a5ec36ad2594c98ed14439c578f69a202d95a96d30472438a30417484cff6e06fe7d
+DIST google-api-core-1.29.0.tar.gz 134251 BLAKE2B 
46455f34ad18bd57b21afe70b237466a51d5dbaca8f46f31491d00fcc7e6339fcf48e150418ef71100a628245cc5333984e6377e27eec00b9b55e0c1a3de86e2
 SHA512 
b8a7b19ba737172e04c0a322af7c60299b72002b17a099fbaa9445c4965b94fd6f3087380fa4262f4440113af4304d5235cd062f22c27cd997e62b276ea67471

diff --git a/dev-python/google-api-core/google-api-core-1.29.0.ebuild 
b/dev-python/google-api-core/google-api-core-1.29.0.ebuild
new file mode 100644
index 00000000000..de335d4f57b
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-1.29.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core
+       https://googleapis.dev/python/google-api-core/latest";
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       dev-python/protobuf-python[${PYTHON_USEDEP}]
+       dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+       <dev-python/requests-3[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/grpcio[${PYTHON_USEDEP}]
+               dev-python/rsa[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests --install pytest
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to